OGRE-Next: Ogre::DescriptorSetTexture2::BufferSlot Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::DescriptorSetTexture2::BufferSlot Struct Reference

`#include <OgreDescriptorSetTexture.h>`

## Public Member Functions
bool | operator!= (const BufferSlot &other) const
bool | operator< (const BufferSlot &other) const

## Static Public Member Functions
static BufferSlot | makeEmpty ()

## Public Attributes
TexBufferPacked * | buffer
| Texture buffer to bind.
size_t | offset
| 0-based offset.
size_t | sizeBytes
| Size in bytes to bind the tex buffer.

## Member Function Documentation

## ◆ makeEmpty()

BufferSlot Ogre::DescriptorSetTexture2::BufferSlot::makeEmpty | ( |  | ) |
| inlinestatic

## ◆ operator!=()

bool Ogre::DescriptorSetTexture2::BufferSlot::operator!= | ( | const BufferSlot & | other | ) | const
| inline

References buffer, offset, and sizeBytes.

## ◆ operator<()

bool Ogre::DescriptorSetTexture2::BufferSlot::operator< | ( | const BufferSlot & | other | ) | const
| inline

References buffer, offset, and sizeBytes.

## Member Data Documentation

## ◆ buffer

TexBufferPacked* Ogre::DescriptorSetTexture2::BufferSlot::buffer

Texture buffer to bind.

ReadOnlyBufferPacked can be bound here. But please note in certain APIs these type of buffers may end up being bound to UAV slots instead of texture slots.

Referenced by operator!=(), and operator<().

## ◆ offset

size_t Ogre::DescriptorSetTexture2::BufferSlot::offset

0-based offset.

It is possible to bind a region of the buffer. Offset needs to be aligned. You can query the RS capabilities for the alignment, however 256 bytes is the maximum allowed alignment per the OpenGL specification, making it a safe bet to hardcode.

Referenced by operator!=(), and operator<().

## ◆ sizeBytes

size_t Ogre::DescriptorSetTexture2::BufferSlot::sizeBytes

Size in bytes to bind the tex buffer.

When zero, binds from offset until the end of the buffer.

Referenced by operator!=(), and operator<().

The documentation for this struct was generated from the following file:

- OgreDescriptorSetTexture.h